﻿@using AdminCaja.ViewModel
@using AdminCaja.Models
@using AdminCaja.Helpers
@model CifrasViewModel<ADCViewModel>

@{
    string jsonCustodiaVN = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.CustodiaVN);
    string jsonCustodiaValorizada = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.CustodiaValorizada);
    string jsonCustodiaInternacional = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.CustodiaInternacional);
}

<div class="col-md-9">


    <h2 class="inner-content-title">Servicios como ADC</h2>
    <div class="section-cifras-descargar">
        <a href="pdf/Cifras-CajadeValores.pdf" class="btn btn-cifras-dd" target="_blank">Descargar Caja en Cifras</a>
    </div>

    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp">
            <div class="caja-cifras-chart">

                <h2 class="color3">Custodia VN <br><small>En Valores Nominales expresados en Millones</small></h2>
                <div id="barras3-1" style="width: 100%; height: 300px"></div>

            </div>
        </div>
    </div>

    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp" data-wow-delay=".2s">
            <div class="caja-cifras-chart">

                <h2 class="color4">Custodia valorizada <br><small>En pesos expresados en Millones</small></h2>
                <div id="barras3-2" style="width: 100%; height: 300px"></div>

            </div>
        </div>
    </div>

    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp">
            <div class="caja-cifras-chart" data-wow-delay=".4s">

                <h2 class="color5">Custodia internacional <br><small>En Valores Nominales expresados en Millones</small></h2>
                <div id="barras3-3" style="width: 100%; height: 300px"></div>

            </div>
        </div>
    </div>

    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp">
            <div class="caja-cifras-chart">
                <h2 class="color6">Pago Acreencias</h2>

                <div class="row">
                    <div class="col-md-3">
                        <h3><span>$</span> ESPECIE 8000</h3>
                        <div class="color6">
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind8Amount)</h4>
                            <small> Cantidad</small>
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind8)</h4>
                            <small> Millones</small>
                        </div>

                    </div>
                    <div class="col-md-3">
                        <h3><span>U$S</span> ESPECIE 10000</h3>
                        <div class="color6">
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind10Amount)</h4>
                            <small> Cantidad</small>
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind10)</h4>
                            <small> Millones</small>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <h3><span>U$S</span> ESPECIE 7000</h3>
                        <div class="color6">
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind7Amount)</h4>
                            <small> Cantidad</small>
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind7)</h4>
                            <small> Millones</small>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <h3><span>EUR</span> ESPECIE 6000</h3>
                        <div class="color6">
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind6Amount)</h4>
                            <small> Cantidad</small>
                            <h4>@Html.CountNumber(Model.Data.ADCData.Kind6)</h4>
                            <small> Millones</small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@using (Html.BeginScripts())
{
    <script>
        AmCharts.makeChart("barras3-1",
	{
		"type": "serial",
		"categoryField": "trimestre",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
			"#e5e5e5",
			"#FCD202",
			"#B0DE09",
			"#0D8ECF",
			"#2A0CD0",
			"#CD0D74",
			"#CC0000",
			"#00CC00",
			"#0000CC",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#990000"
		],
		"startDuration": 1,
		"fontFamily": "Montserrat",
		"categoryAxis": {
			"gridPosition": "start",
			"axisAlpha": 0,
			"axisColor": "#333",
			"gridAlpha": 0,			
		},
		"trendLines": [],
		"graphs": [
			{				
				"colorField": "color",				
				"fillAlphas": 1,
				"id": "AmGraph-1",
				"labelOffset": 4,
				"labelPosition": "middle",
				"labelText": "[[value]]",
				"fontSize": 20,
				"lineColorField": "color",
				"maxBulletSize": 56,
				"minBulletSize": 20,
				"negativeFillAlphas": 0,
				"negativeLineAlpha": 0,
				"title": "graph 1",
				"topRadius": 0,
				"type": "column",
				"valueField": "cantidad",
				"showBalloon": true,
				"color": "#FFF",
				"boldLabels": true,
				"thousandsSeparator": ".",
			}
		],
		"guides": [],
		"valueAxes": [
			{
				"id": "ValueAxis-1",
				"axisAlpha": 0,
				"gridAlpha": 0,
				"minorGridAlpha": 0,
				"title": "",
				"titleBold": false,				
			}
		],
		"allLabels": [],
		"balloon": {},
		"titles": [],
		"dataProvider": @Html.Raw(jsonCustodiaVN)
	}
);

AmCharts.makeChart("barras3-2",
	{
		"type": "serial",
		"categoryField": "trimestre",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
			"#e5e5e5",
			"#FCD202",
			"#B0DE09",
			"#0D8ECF",
			"#2A0CD0",
			"#CD0D74",
			"#CC0000",
			"#00CC00",
			"#0000CC",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#990000"
		],
		"startDuration": 1,
		"fontFamily": "Montserrat",
		"categoryAxis": {
			"gridPosition": "start",
			"axisAlpha": 0,
			"axisColor": "#333",
			"gridAlpha": 0,			
		},
		"trendLines": [],
		"graphs": [
			{				
				"colorField": "color",				
				"fillAlphas": 1,
				"id": "AmGraph-1",
				"labelOffset": 4,
				"labelPosition": "middle",
				"labelText": "[[value]]",
				"fontSize": 20,
				"lineColorField": "color",
				"maxBulletSize": 56,
				"minBulletSize": 20,
				"negativeFillAlphas": 0,
				"negativeLineAlpha": 0,
				"title": "graph 1",
				"topRadius": 0,
				"type": "column",
				"valueField": "cantidad",
				"showBalloon": true,
				"color": "#FFF",
				"boldLabels": true,
			}
		],
		"guides": [],
		"valueAxes": [
			{
				"id": "ValueAxis-1",
				"axisAlpha": 0,
				"gridAlpha": 0,
				"minorGridAlpha": 0,
				"title": "",
				"titleBold": false,				
			}
		],
		"allLabels": [],
		"balloon": {},
		"titles": [],
		"dataProvider": @Html.Raw(jsonCustodiaValorizada)
	}
);

AmCharts.makeChart("barras3-3",
	{
		"type": "serial",
		"categoryField": "trimestre",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
			"#e5e5e5",
			"#FCD202",
			"#B0DE09",
			"#0D8ECF",
			"#2A0CD0",
			"#CD0D74",
			"#CC0000",
			"#00CC00",
			"#0000CC",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#990000"
		],
		"startDuration": 1,
		"fontFamily": "Montserrat",
		"categoryAxis": {
			"gridPosition": "start",
			"axisAlpha": 0,
			"axisColor": "#333",
			"gridAlpha": 0,			
		},
		"trendLines": [],
		"graphs": [
			{				
				"colorField": "color",				
				"fillAlphas": 1,
				"id": "AmGraph-1",
				"labelOffset": 4,
				"labelPosition": "middle",
				"labelText": "[[value]]",
				"fontSize": 20,
				"lineColorField": "color",
				"maxBulletSize": 56,
				"minBulletSize": 20,
				"negativeFillAlphas": 0,
				"negativeLineAlpha": 0,
				"title": "graph 1",
				"topRadius": 0,
				"type": "column",
				"valueField": "cantidad",
				"showBalloon": true,
				"color": "#FFF",
				"boldLabels": true,
			}
		],
		"guides": [],
		"valueAxes": [
			{
				"id": "ValueAxis-1",
				"axisAlpha": 0,
				"gridAlpha": 0,
				"minorGridAlpha": 0,
				"title": "",
				"titleBold": false,				
			}
		],
		"allLabels": [],
		"balloon": {},
		"titles": [],
		"dataProvider": @Html.Raw(jsonCustodiaInternacional)
	}
);

    </script>
}